Bug 1348347 - Please rebuild to fix rbd/boost/gcc issue
Summary: Please rebuild to fix rbd/boost/gcc issue
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ceph
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Boris Ranto
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-20 22:44 UTC by Cole Robinson
Modified: 2016-06-23 17:53 UTC (History)
6 users (show)

Fixed In Version: ceph-10.2.2-2.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-23 17:53:29 UTC
Type: Bug


Attachments (Terms of Use)

Description Cole Robinson 2016-06-20 22:44:12 UTC
# rbd list
rbd: symbol lookup error: rbd: undefined symbol: _ZNK5boost16re_detail_10600031cpp_regex_traits_implementationIcE17transform_primaryEPKcS4_

For details see:
http://comments.gmane.org/gmane.linux.redhat.fedora.devel/219056
https://bugzilla.redhat.com/show_bug.cgi?id=1333355
https://bugzilla.redhat.com/show_bug.cgi?id=1331983

Basically someone just needs to kick off a rebuild for f24+

Comment 1 Boris Ranto 2016-06-21 11:45:41 UTC
This is already being taken care of, I am building a new package for a new minor release (10.2.2):

http://koji.fedoraproject.org/koji/taskinfo?taskID=14592225

Comment 2 Cole Robinson 2016-06-21 12:44:15 UTC
Yeah I noticed last night that ceph-10.2.1-1.fc24 in koji has this fixed, but it was never submitted as a f24 update

Comment 3 Boris Ranto 2016-06-21 13:24:45 UTC
You are right. When I originally made the commit I could not build it because of this issue (it was built later by Jonathan Wakely and he did not push it for an update), at that time it has already slipped off my radar so I did not push it for an update either. I'll wait for the new 10.2.2 build to finish and push that one instead.

Comment 4 Fedora Update System 2016-06-22 08:58:11 UTC
ceph-10.2.2-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-4c6f65b4aa

Comment 5 Fedora Update System 2016-06-22 23:02:53 UTC
ceph-10.2.2-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-4c6f65b4aa

Comment 6 Fedora Update System 2016-06-23 17:53:26 UTC
ceph-10.2.2-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.